haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Type

Description

Parsing type information from GIR files.

Synopsis

- parseType :: Parser Type
- queryCType :: Parser (Maybe Text)
- parseCType :: Parser Text
- queryElementCType :: Parser (Maybe Text)
- parseOptionalType :: Parser (Maybe Type)

# Documentation

parseType :: Parser Type Source #

Parse the type of a node (which will be described by a child node named "type" or "array").

queryCType :: Parser (Maybe Text) Source #

Find the C name for the current element.

parseCType :: Parser Text Source #

Parse the C type for the current node.

queryElementCType :: Parser (Maybe Text) Source #

Parse the C-type associated to the element, if found.

parseOptionalType :: Parser (Maybe Type) Source #

Like `parseType`, but allow for `none`, returned as `Nothing`.